Bug 97937 - <shift>+<return> sends wrong escape sequence
<shift>+<return> sends wrong escape sequence
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kdebase (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-24 05:48 EDT by Harald Hoyer
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-01 11:03:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Hoyer 2003-06-24 05:48:02 EDT
Accidently pressed some strange keys... reproduceable on a german keyboard..
I'll investigate...

0x40040795 in _rl_dispatch_subseq (key=256, map=0x80755b8, got_subseq=0) at
../readline.c:537
537     ../readline.c: Datei oder Verzeichnis nicht gefunden.
        in ../readline.c
(gdb) bt
#0  0x40040795 in _rl_dispatch_subseq (key=256, map=0x80755b8, got_subseq=0) at
../readline.c:537
#1  0x4004077e in _rl_dispatch (key=256, map=0x100) at ../readline.c:529
#2  0x40040803 in _rl_dispatch_subseq (key=256, map=0x80755b8, got_subseq=0) at
../readline.c:551
#3  0x4004077e in _rl_dispatch (key=256, map=0x100) at ../readline.c:529
#4  0x40040803 in _rl_dispatch_subseq (key=256, map=0x80755b8, got_subseq=0) at
../readline.c:551
#5  0x4004077e in _rl_dispatch (key=256, map=0x100) at ../readline.c:529
#6  0x40040803 in _rl_dispatch_subseq (key=256, map=0x80755b8, got_subseq=0) at
../readline.c:551
#7  0x4004077e in _rl_dispatch (key=256, map=0x100) at ../readline.c:529
#8  0x40040803 in _rl_dispatch_subseq (key=256, map=0x80755b8, got_subseq=0) at
../readline.c:551
#9  0x4004077e in _rl_dispatch (key=256, map=0x100) at ../readline.c:529
#10 0x40040803 in _rl_dispatch_subseq (key=256, map=0x80755b8, got_subseq=0) at
../readline.c:551
#11 0x4004077e in _rl_dispatch (key=256, map=0x100) at ../readline.c:529
#12 0x40040803 in _rl_dispatch_subseq (key=256, map=0x80755b8, got_subseq=0) at
../readline.c:551
#13 0x4004077e in _rl_dispatch (key=256, map=0x100) at ../readline.c:529
#14 0x40040803 in _rl_dispatch_subseq (key=256, map=0x80755b8, got_subseq=0) at
../readline.c:551
#15 0x4004077e in _rl_dispatch (key=256, map=0x100) at ../readline.c:529
Comment 1 Harald Hoyer 2003-06-24 06:57:06 EDT
ok... it was <shift>+<return> which seems to send  4f1b <0xnext pressed key>4d,
instead of 0x0a with konsole in the XFree 4.0 Terminal mode..
Comment 2 Ngo Than 2003-07-01 11:03:00 EDT
it's now fixed in kdebase-3.1.2-9

Note You need to log in before you can comment on or make changes to this bug.